summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-emulation/gambatte
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-emulation/gambatte')
-rw-r--r--games-emulation/gambatte/Manifest1
-rw-r--r--games-emulation/gambatte/gambatte-0.5.0_p20131102.ebuild98
-rw-r--r--games-emulation/gambatte/metadata.xml5
3 files changed, 104 insertions, 0 deletions
diff --git a/games-emulation/gambatte/Manifest b/games-emulation/gambatte/Manifest
new file mode 100644
index 00000000000..fbddf3aade0
--- /dev/null
+++ b/games-emulation/gambatte/Manifest
@@ -0,0 +1 @@
+DIST gambatte-0.5.0_p20131102.tar.xz 353212 SHA256 894040f47f3f5cc6e320d7ee9ac5370fb4301261ceee535c5e4ae5550f0e9ff0 SHA512 9f27af85d2fceb128231eb3e5bf2806a1773c575990296f37eb3c0a14bca5c72f7f161cdf77f710f4ff85b2b3266db9ba098e5ef6772bc5bf7b2c97b8281999b WHIRLPOOL 4ec8bc24bc3d5a443b2b938d8ed6d7164770d7788abc5251639b40f12417989185fa8cfa36abadb0c19fae34937411ad63f4fffa17f4ccecd39f37ace4e03c33
diff --git a/games-emulation/gambatte/gambatte-0.5.0_p20131102.ebuild b/games-emulation/gambatte/gambatte-0.5.0_p20131102.ebuild
new file mode 100644
index 00000000000..031be7d22e7
--- /dev/null
+++ b/games-emulation/gambatte/gambatte-0.5.0_p20131102.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit scons-utils qt4-r2 games
+
+DESCRIPTION="An accuracy-focused Gameboy / Gameboy Color emulator"
+HOMEPAGE="http://sourceforge.net/projects/gambatte"
+SRC_URI="http://dev.gentoo.org/~hasufell/distfiles/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="qt4 +sdl"
+REQUIRED_USE="|| ( qt4 sdl )"
+
+RDEPEND="
+ sys-libs/zlib
+ qt4? (
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtopengl:4
+ media-libs/alsa-lib
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrandr
+ x11-libs/libXv
+ )
+ sdl? ( media-libs/libsdl[X,sound,joystick,video] )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils"
+
+fix_scons() {
+ local i
+ for i; do
+ cat >> $i << END
+import os
+import SCons.Util
+
+if os.environ.has_key('AR'):
+ env['AR'] = os.environ['AR']
+if os.environ.has_key('RANLIB'):
+ env['RANLIB'] = os.environ['RANLIB']
+if os.environ.has_key('CC'):
+ env['CC'] = os.environ['CC']
+if os.environ.has_key('CFLAGS'):
+ env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
+if os.environ.has_key('CXX'):
+ env['CXX'] = os.environ['CXX']
+if os.environ.has_key('CXXFLAGS'):
+ env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
+if os.environ.has_key('CPPFLAGS'):
+ env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CPPFLAGS'])
+if os.environ.has_key('LDFLAGS'):
+ env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])
+END
+ done
+}
+
+src_prepare() {
+ # Fix zlib/minizip build error
+ sed -i \
+ -e '1i#define OF(x) x' \
+ libgambatte/src/file/unzip/{unzip,ioapi}.h \
+ || die "sed iompi.h failed"
+
+ fix_scons {gambatte_sdl,libgambatte}/SConstruct
+}
+
+src_compile() {
+ # build core library
+ cd "${S}"/libgambatte || die
+ escons
+
+ # build sdl frontend
+ if use sdl; then
+ cd "${S}"/gambatte_sdl || die
+ escons
+ fi
+
+ # build qt frontend
+ if use qt4; then
+ cd "${S}"/gambatte_qt || die
+ eqmake4 ${PN}_qt.pro
+ emake
+ fi
+}
+
+src_install() {
+ use sdl && dogamesbin gambatte_sdl/gambatte_sdl
+ use qt4 && dogamesbin gambatte_qt/bin/gambatte_qt
+
+ dodoc README changelog
+
+ prepgamesdirs
+}
diff --git a/games-emulation/gambatte/metadata.xml b/games-emulation/gambatte/metadata.xml
new file mode 100644
index 00000000000..cad5a2aa177
--- /dev/null
+++ b/games-emulation/gambatte/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+</pkgmetadata>